version: "3.1"
services:
  nextjs-app:
    image: node:20.11.0-alpine #sachinvashist/nextjs-docker #
    ports:
      - "5001:3000" # Map port 3000 from container to host
    volumes:
      - /mnt/apps/DEV/cart-demo:/app
    environment:
      - NODE_ENV=demo
      - DATABASE=mysql://cart:cart2023@192.168.0.10:3306/cart
    command: sh -c " cd /app && npm run test; tail -f /dev/null"
    tty: true
    stdin_open: true
